import numpy as np
import cv2

def get_mask_depth(depth_im, mask):

    if depth_im.shape[:2] !=  mask.shape[:2]:
        print("get_mask_depth size doesn't match error!")
        exit()
    try:
    
        depth_im = cv2.resize(depth_im,(256,256),interpolation = cv2.INTER_LINEAR)
        
        mask = cv2.resize(mask,(256,256),interpolation = cv2.INTER_LINEAR)
        
        depth = depth_im[mask>0]
        
        depth = np.sort(depth, axis=None)
        
        twentyfive = depth[int(depth.size/4)] # 50 percent tile
        seventyfive = depth[int((depth.size/4)*3)] # 75 percent tile
        depth[depth < twentyfive] = 0
        depth[depth > seventyfive] = 0
        
        nonZero = depth[np.nonzero(depth)]
        meanDepth = np.mean(nonZero)
    except:
        print("get_mask_depth value error!")
        meanDepth = -1
    # print(meanDepth)
    # cv2.imshow('depth', np.int8(depth_im*(255.0/6000.0)))
    # key = cv2.waitKey(1)
    # while key == -1:
        # key = cv2.waitKey(1)
    return meanDepth if meanDepth >= 0 else -1